with GNATCOM.Dispinterface;

package MSHTML.IRulesAppliedCollection_Interface is

   type IRulesAppliedCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IRulesAppliedCollection_Type);

   function Pointer (This : IRulesAppliedCollection_Type)
     return Pointer_To_IRulesAppliedCollection;

   procedure Attach (This    : in out IRulesAppliedCollection_Type;
                     Pointer : in     Pointer_To_IRulesAppliedCollection);

   function item
     (This           : IRulesAppliedCollection_Type;
      index          : Interfaces.C.long)
     return Pointer_To_IRulesApplied;

   function Get_length
     (This : IRulesAppliedCollection_Type)
     return Interfaces.C.long;

   function Get_element
     (This : IRulesAppliedCollection_Type)
     return Pointer_To_IHTMLElement;

   function propertyInheritedFrom
     (This           : IRulesAppliedCollection_Type;
      name           : GNATCOM.Types.BSTR;
      Free           : Boolean := True)
     return Pointer_To_IRulesApplied;

   function Get_propertyCount
     (This : IRulesAppliedCollection_Type)
     return Interfaces.C.long;

   function property
     (This          : IRulesAppliedCollection_Type;
      index         : Interfaces.C.long)
     return GNATCOM.Types.BSTR;

   function propertyInheritedTrace
     (This           : IRulesAppliedCollection_Type;
      name           : GNATCOM.Types.BSTR;
      index          : Interfaces.C.long;
      Free           : Boolean := True)
     return Pointer_To_IRulesApplied;

   function propertyInheritedTraceLength
     (This    : IRulesAppliedCollection_Type;
      name    : GNATCOM.Types.BSTR;
      Free    : Boolean := True)
     return Interfaces.C.long;

end MSHTML.IRulesAppliedCollection_Interface;

